package org.snmp4j.agent.mo.lock;

import org.snmp4j.agent.MOQuery;
import org.snmp4j.agent.ManagedObject;

/**
 * The <code>DefaultMOLockStrategy</code> implements a simple default locking strategy that
 * requires a lock if a write access on a {@link ManagedObject} is intended.
 *
 * @author Frank Fock
 * @since 2.4.0
 */
public class DefaultMOLockStrategy implements MOLockStrategy {

  @Override
  public boolean isLockNeeded(ManagedObject managedObjectLookedUp, MOQuery query) {
    return query.isWriteAccessQuery();
  }
}
